Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(104)

Unified Diff: misc/cgo/testgodefs/test.bash

Issue 106260044: code review 106260044: cmd/cgo: for -godefs, promote first field of anonymous union (Closed)
Patch Set: diff -r dff49040426d https://code.google.com/p/go Created 9 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Please Sign in to add in-line comments.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « misc/cgo/testgodefs/main.go ('k') | src/cmd/cgo/gcc.go » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: misc/cgo/testgodefs/test.bash
===================================================================
new file mode 100755
--- /dev/null
+++ b/misc/cgo/testgodefs/test.bash
@@ -0,0 +1,20 @@
+# Copyright 2014 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+# We are testing cgo -godefs, which translates Go files that use
+# import "C" into Go files with Go definitions of types defined in the
+# import "C" block. Add more tests here.
+FILE_PREFIXES="anonunion"
+
+RM=
+for FP in $FILE_PREFIXES
+do
+ go tool cgo -godefs ${FP}.go > ${FP}_defs.go
+ RM="${RM} ${FP}_defs.go"
+done
+
+go build . && ./testgodefs
+EXIT=$?
+rm -rf _obj testgodefs ${RM}
+exit $EXIT
« no previous file with comments | « misc/cgo/testgodefs/main.go ('k') | src/cmd/cgo/gcc.go » ('j') | no next file with comments »

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b